<template>
    <form
        :data-vv-scope="scope"
        :class="['form-block', { 'form-block--send': statusForm }]"
        @submit.prevent="$emit('sendForm', $event)"
    >
        <div class="form-block__header">
            {{ header }}
        </div>
        <div class="form-block__content">
            <slot></slot>
        </div>
    </form>
</template>

<script>
export default {
    name: 'base-form',
    props: {
        header: {
            type: String,
            required: false
        },
        scope: {
            type: String,
            required: true
        }
    },
    computed: {
        ...mapGetters('stateForm', ['statusForm'])
    }
}
</script>

<style lang="sass">
    @import '~blocks/forms';
    @import '~blocks/input';
</style>
